This is a Laravel 5 package that provides catalogue management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `lavalite/catalogue`.

    "lavalite/catalogue": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Lavalite\Catalogue\Providers\CatalogueServiceProvider::class,

```

And also add it to alias

```php
'Catalogue'  => Lavalite\Catalogue\Facades\Catalogue::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Lavalite\Catalogue\Providers\CatalogueServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Lavalite\Catalogue\Providers\CatalogueServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Lavalite\Catalogue\Providers\CatalogueServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Lavalite\Catalogue\Providers\CatalogueServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Lavalite\Catalogue\Providers\CatalogueServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Lavalite\Catalogue\Providers\CatalogueServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


